/*
 * Header file:  graphics
 * Author:  Gemini Lasswell
 * Last Modified:  6 June 1989
 *
 * 6/6/89  Added attenuation and scattered color fields (gem)
 *
 * Purpose: Header file for users of the 4D, matrix stack and CSG tree
 * subroutines in /usr/graphics/src/lib.
 */

#include <stdio.h>
#include "Math.h"
#include "4D.h"
#include "mstack.h"

#define TRUE 1
#define FALSE 0

typedef struct {		/* The red, green, and blue spectral */
  double r,g,b;			/* This is used for diffuse, specular, */
} Response;			/* transmittive and reflective responses. */

typedef struct {
  double r,g,b,a;
} Color;

typedef struct {  /* description of surface characteristics */
	int      specularity;  /* exponent in Phong model */
	Response emittance, diffuse, reflectance, transmittance, specular;
	Response attenuation, scattered_color;
} SurfaceDescr;

#include "tree.h" 
